

USE AdventureWorks2012;
 GO

SELECT s.SalesOrderID , 
       s.SalesOrderDetailID , 
       s.OrderQty , 
       FIRST_VALUE( SalesOrderDetailID ) OVER ( PARTITION BY SalesOrderID ORDER BY SalesOrderDetailID ) FirstValue , 
       LAST_VALUE( SalesOrderDetailID ) OVER ( PARTITION BY SalesOrderID ORDER BY SalesOrderDetailID ) LastValue
  FROM Sales.SalesOrderDetail s
  WHERE SalesOrderID IN( 43670 , 43669 , 43667 , 43663 )
  ORDER BY s.SalesOrderID , s.SalesOrderDetailID , s.OrderQty;
GO
