
/*
voglio calcolare la somma degli ultimi 5 anni per ciascuna riga
ROWS BETWEEN 4 PRECEDING AND CURRENT ROW

voglio calcolare la somma di tutti gli anni precedenti
ROWS UNBOUNDED PRECEDING
*/

DECLARE @Companies TABLE( CompanyId int , 
                          [Year] int , 
                          Amount int );
INSERT INTO @Companies( CompanyId , 
                        [Year] , 
                        Amount )

VALUES( 1 , 2000 , 100000 ) , 
      ( 1 , 2001 , 200000 ) , 
      ( 1 , 2002 , 35000 ) , 
      ( 2 , 2000 , 50000 ) , 
      ( 2 , 2001 , 75000 ) , 
      ( 2 , 2002 , 35000 );

SELECT CompanyId , 
       [Year] , 
       Amount , 
       SUM( Amount )OVER( PARTITION BY CompanyID 
		  ORDER BY [Year] ROWS BETWEEN CURRENT ROW AND 4 FOLLOWING )AS Next4YrsIncludingCurrentYrRevenue , 
       
	   SUM( Amount )OVER( PARTITION BY CompanyID 
		  ORDER BY [Year] ROWS UNBOUNDED PRECEDING )AS CumulativeRevenue , 
       
	   SUM( Amount )OVER( PARTITION BY CompanyID 
		  ORDER BY [Year] ROWS BETWEEN 4 PRECEDING AND CURRENT ROW )AS Last5YrsRevenue
  FROM @Companies;


