
USE CDays; 
GO

/*
EXEC dbo.up_populateOrders 2000
DBCC dropcleanbuffers
CHECKPOINT  
GO
*/

--EXEC dbo.up_withoutCursor
--DBCC dropcleanbuffers
--EXEC dbo.up_withCursor
--DBCC dropcleanbuffers

DECLARE @StartDate datetime , 
        @EndDate datetime;
SET @StartDate = GETDATE( );  
EXEC dbo.up_runningTotals;
SET @EndDate = GETDATE( );
SELECT DATEDIFF( ms , @StartDate , @EndDate )AS 'Execution time in ms';



SET STATISTICS IO ON;
DECLARE @StartDate datetime , 
        @EndDate datetime;
SET @StartDate = GETDATE( );  

SELECT customerID , 
       qty , 
       SUM( qty ) OVER ( PARTITION BY customerID 
		  ORDER BY customerID , idRecord ROWS UNBOUNDED PRECEDING ) AS RTotals
  FROM orders
  ORDER BY customerID , idRecord;

SET @EndDate = GETDATE( );
SELECT DATEDIFF( ms , @StartDate , @EndDate )AS 'Execution time in ms';
